compact2, compact3
javax.xml.stream.events

## Interface Namespace

All Superinterfaces:
  Attribute, XMLEvent, XMLStreamConstants

    public interface Namespace
    extends Attribute

An interface that contains information about a namespace. Namespaces are accessed from a StartElement.

Since:
  1.6
Version:
  1.0
See Also:
  `StartElement`

### Field Summary

### Fields inherited from interface javax.xml.stream.XMLStreamConstants

`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getNamespaceURI()` Gets the uri bound to the prefix of this namespace
`String` `getPrefix()` Gets the prefix, returns "" if this is a default namespace declaration.
`boolean` `isDefaultNamespaceDeclaration()` returns true if this attribute declares the default namespace

### Methods inherited from interface javax.xml.stream.events.Attribute

`getDTDType, getName, getValue, isSpecified`

### Methods inherited from interface javax.xml.stream.events.XMLEvent

`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

### Method Detail

#### getPrefix

    String getPrefix()

Gets the prefix, returns "" if this is a default namespace declaration.

#### getNamespaceURI

    String getNamespaceURI()

Gets the uri bound to the prefix of this namespace

#### isDefaultNamespaceDeclaration

    boolean isDefaultNamespaceDeclaration()

returns true if this attribute declares the default namespace